User Tag List

Page 5 of 12 FirstFirst ... 3 4 5 6 7 ... LastLast
Results 41 to 50 of 119

Thread: Build error google-play-services_lib resolve to a path

  1. #41
    Clicker Fusion 2.5 DeveloperAndroid Export ModuleiOS Export ModuleSWF Export ModuleXNA Export ModuleMac Export ModuleInstall Creator Pro
    Fusion 2.5 (Steam)Fusion 2.5 Developer (Steam)Android Export Module (Steam)HTML5 Export Module (Steam)iOS Export Module (Steam)Universal Windows Platform Export Module (Steam)
    kiko's Avatar
    Join Date
    Apr 2012
    Location
    Murcia -Spain
    Posts
    242
    Mentioned
    0 Post(s)
    Tagged
    0 Thread(s)
    I know, I have Installed API's 10 & 14.
    android-sdk02.jpg

    I CAN COMPILE WITH ANY SERVION!
    Can export with versions <= 285.2 with Java 8 or Java 7 with Admob Ads
    BUT WHEN I USE ADMOB ADS to export from versions 286.6 to 287.2 with JAVA 8 or JAVA 7 return the error

    The problem is not with the API's is with Admob object SDK 6.4.2 only with this SDK version.

  2. #42
    Clickteam Clickteam
    Fernando's Avatar
    Join Date
    Dec 2006
    Posts
    6,244
    Mentioned
    176 Post(s)
    Tagged
    3 Thread(s)
    ok I think you have mix many thing here.

    version 286.6 to above use an external lib, previous version was inside the object so this can not be mix.

    second is the build tools and platform according your image u must use java sdk 8.

    I think you need to start with a clean install
    Regards,


    Fernando Vivolo

    ... new things are coming ...

  3. #43
    Clicker Fusion 2.5 DeveloperAndroid Export ModuleiOS Export ModuleSWF Export ModuleXNA Export ModuleMac Export ModuleInstall Creator Pro
    Fusion 2.5 (Steam)Fusion 2.5 Developer (Steam)Android Export Module (Steam)HTML5 Export Module (Steam)iOS Export Module (Steam)Universal Windows Platform Export Module (Steam)
    kiko's Avatar
    Join Date
    Apr 2012
    Location
    Murcia -Spain
    Posts
    242
    Mentioned
    0 Post(s)
    Tagged
    0 Thread(s)
    Java is not a problem for me at this moment. I have installed JAVA 7 & 8 (8 manually).
    For to use any JAVA version only need to change the JAVA_HOME enviroment variable with the correct path, and change in the Fusion Editor - Tools - Prefs. - General - Exporter - Android - Pathname of SDK directory - the correct path to java ver.

    Another test with JAVA 7, same error than using JAVA 8:
    Buildfile: C:\DOCUME~1\ADMINI~1.WIN\CONFIG~1\Temp\AndB.tmp\bu ild.xml

    -set-mode-check:

    -set-release-mode:

    -release-obfuscation-check:
    [echo] proguard.config is ${proguard.config}

    -pre-build:

    -check-env:
    [checkenv] Android SDK Tools Revision 25.2.2
    [checkenv] Installed at C:\Archivos de programa\Android\android-sdk

    -setup:
    [echo] Project Name: RuntimeAndroid
    [gettype] Project Type: Application

    -build-setup:
    [getbuildtools] Using latest Build Tools: 22.0.1
    [echo] Resolving Build Target for RuntimeAndroid...
    [gettarget] Project Target: Android 5.1.1
    [gettarget] API level: 22
    [echo] ----------
    [echo] Creating output directories if needed...
    [mkdir] Created dir: C:\DOCUME~1\ADMINI~1.WIN\CONFIG~1\Temp\AndB.tmp\bi n
    [mkdir] Created dir: C:\DOCUME~1\ADMINI~1.WIN\CONFIG~1\Temp\AndB.tmp\bi n\res
    [mkdir] Created dir: C:\DOCUME~1\ADMINI~1.WIN\CONFIG~1\Temp\AndB.tmp\bi n\rsObj
    [mkdir] Created dir: C:\DOCUME~1\ADMINI~1.WIN\CONFIG~1\Temp\AndB.tmp\bi n\rsLibs
    [mkdir] Created dir: C:\DOCUME~1\ADMINI~1.WIN\CONFIG~1\Temp\AndB.tmp\ge n
    [mkdir] Created dir: C:\DOCUME~1\ADMINI~1.WIN\CONFIG~1\Temp\AndB.tmp\bi n\classes
    [mkdir] Created dir: C:\DOCUME~1\ADMINI~1.WIN\CONFIG~1\Temp\AndB.tmp\bi n\dexedLibs
    [echo] ----------
    [echo] Resolving Dependencies for RuntimeAndroid...

    BUILD FAILED
    C:\Archivos de programa\Android\android-sdk\tools\ant\build.xml:573: google-play-services_lib resolve to a path with no project.properties file for project C:\DOCUME~1\ADMINI~1.WIN\CONFIG~1\Temp\AndB.tmp

    Total time: 10 seconds

    NOTE: If i delete all admob objects in the same code, i can compile with any JAVA version and with any Android runtime version.

    Then the problem is when i try to compile with Admob Ads with any fusion version with Android runtime that use Admob external lib?
    I can delete all android runtime dir and reinstall the version 286.6 again, is the only thing that i haven't tested. --> [tested with the same error] (Edited)

  4. #44
    Clickteam Clickteam
    Fernando's Avatar
    Join Date
    Dec 2006
    Posts
    6,244
    Mentioned
    176 Post(s)
    Tagged
    3 Thread(s)
    ok, can you check and delete google playservices in your data/android/runtime and reinstall version 287.2

    show your log

    you have a conflict with admob object mixing then from all version to new
    Regards,


    Fernando Vivolo

    ... new things are coming ...

  5. #45
    Clicker Fusion 2.5 DeveloperAndroid Export ModuleiOS Export ModuleSWF Export ModuleXNA Export ModuleMac Export ModuleInstall Creator Pro
    Fusion 2.5 (Steam)Fusion 2.5 Developer (Steam)Android Export Module (Steam)HTML5 Export Module (Steam)iOS Export Module (Steam)Universal Windows Platform Export Module (Steam)
    kiko's Avatar
    Join Date
    Apr 2012
    Location
    Murcia -Spain
    Posts
    242
    Mentioned
    0 Post(s)
    Tagged
    0 Thread(s)
    In the last test i deleted the folder Clickteam Fusion Developer 2.5\Data\Runtime\Android and reinstalled the version 286.6, but i can try with 287.2

  6. #46
    Clicker Fusion 2.5 DeveloperAndroid Export ModuleiOS Export ModuleSWF Export ModuleXNA Export ModuleMac Export ModuleInstall Creator Pro
    Fusion 2.5 (Steam)Fusion 2.5 Developer (Steam)Android Export Module (Steam)HTML5 Export Module (Steam)iOS Export Module (Steam)Universal Windows Platform Export Module (Steam)
    kiko's Avatar
    Join Date
    Apr 2012
    Location
    Murcia -Spain
    Posts
    242
    Mentioned
    0 Post(s)
    Tagged
    0 Thread(s)
    Deleted File GooglePlayServices.zip from Clickteam Fusion Developer 2.5\Data\Runtime\Android and reinstalled version 287.2

    Log:
    Buildfile: C:\DOCUME~1\ADMINI~1.WIN\CONFIG~1\Temp\And10D.tmp\ build.xml

    -set-mode-check:

    -set-release-mode:

    -release-obfuscation-check:
    [echo] proguard.config is ${proguard.config}

    -pre-build:

    -check-env:
    [checkenv] Android SDK Tools Revision 25.2.2
    [checkenv] Installed at C:\Archivos de programa\Android\android-sdk

    -setup:
    [echo] Project Name: RuntimeAndroid
    [gettype] Project Type: Application

    -build-setup:
    [getbuildtools] Using latest Build Tools: 22.0.1
    [echo] Resolving Build Target for RuntimeAndroid...
    [gettarget] Project Target: Android 5.1.1
    [gettarget] API level: 22
    [echo] ----------
    [echo] Creating output directories if needed...
    [mkdir] Created dir: C:\DOCUME~1\ADMINI~1.WIN\CONFIG~1\Temp\And10D.tmp\ bin
    [mkdir] Created dir: C:\DOCUME~1\ADMINI~1.WIN\CONFIG~1\Temp\And10D.tmp\ bin\res
    [mkdir] Created dir: C:\DOCUME~1\ADMINI~1.WIN\CONFIG~1\Temp\And10D.tmp\ bin\rsObj
    [mkdir] Created dir: C:\DOCUME~1\ADMINI~1.WIN\CONFIG~1\Temp\And10D.tmp\ bin\rsLibs
    [mkdir] Created dir: C:\DOCUME~1\ADMINI~1.WIN\CONFIG~1\Temp\And10D.tmp\ gen
    [mkdir] Created dir: C:\DOCUME~1\ADMINI~1.WIN\CONFIG~1\Temp\And10D.tmp\ bin\classes
    [mkdir] Created dir: C:\DOCUME~1\ADMINI~1.WIN\CONFIG~1\Temp\And10D.tmp\ bin\dexedLibs
    [echo] ----------
    [echo] Resolving Dependencies for RuntimeAndroid...

    BUILD FAILED
    C:\Archivos de programa\Android\android-sdk\tools\ant\build.xml:573: google-play-services_lib resolve to a path with no project.properties file for project C:\DOCUME~1\ADMINI~1.WIN\CONFIG~1\Temp\And10D.tmp

    Total time: 1 second



    Quote Originally Posted by Fernando View Post
    ok, can you check and delete google playservices in your data/android/runtime and reinstall version 287.2

    show your log

    you have a conflict with admob object mixing then from all version to new

  7. #47
    Clicker Fusion 2.5 DeveloperAndroid Export ModuleiOS Export ModuleSWF Export ModuleXNA Export ModuleMac Export ModuleInstall Creator Pro
    Fusion 2.5 (Steam)Fusion 2.5 Developer (Steam)Android Export Module (Steam)HTML5 Export Module (Steam)iOS Export Module (Steam)Universal Windows Platform Export Module (Steam)
    kiko's Avatar
    Join Date
    Apr 2012
    Location
    Murcia -Spain
    Posts
    242
    Mentioned
    0 Post(s)
    Tagged
    0 Thread(s)
    I still with the same error, I don't know what to try...
    I have reinstalled the android SDK again
    I tried with JAVA 7 and 8
    I have reinstalled fully fusion 2.5 (deleting the runtime/android folder to delete old version objects) and I get the error from the version 286.3 to 287.2 when use the admob object.

  8. #48
    Clickteam Clickteam
    Fernando's Avatar
    Join Date
    Dec 2006
    Posts
    6,244
    Mentioned
    176 Post(s)
    Tagged
    3 Thread(s)
    can you show me the preferences you set for android inside fusion?
    Regards,


    Fernando Vivolo

    ... new things are coming ...

  9. #49
    Clicker Fusion 2.5 DeveloperAndroid Export ModuleiOS Export ModuleSWF Export ModuleXNA Export ModuleMac Export ModuleInstall Creator Pro
    Fusion 2.5 (Steam)Fusion 2.5 Developer (Steam)Android Export Module (Steam)HTML5 Export Module (Steam)iOS Export Module (Steam)Universal Windows Platform Export Module (Steam)
    kiko's Avatar
    Join Date
    Apr 2012
    Location
    Murcia -Spain
    Posts
    242
    Mentioned
    0 Post(s)
    Tagged
    0 Thread(s)
    preferences.jpg
    I don't think that this will be the problem

    The problem is that when fusion compile the app the google-play-services_lib haven't the file project.properties, but the GooglePlayServices.zip file (in runtime/android) have the project.propeties file.

  10. #50
    Forum Moderator

    Fusion 2.5 MacFusion 2.5 DeveloperFusion 2.5+ DLCAndroid Export ModuleHTML5 Export ModuleiOS Export ModuleUniversal Windows Platform Export ModuleSWF Export ModuleMac Export ModuleInstall Creator Pro
    Fusion 2.5 (Steam)Fusion 2.5 Developer (Steam)Android Export Module (Steam)HTML5 Export Module (Steam)iOS Export Module (Steam)
    Perry's Avatar
    Join Date
    Dec 2013
    Location
    Watertown, WI
    Posts
    4,355
    Mentioned
    53 Post(s)
    Tagged
    0 Thread(s)
    Looks like you are using the 64 Bit also it's an old JDK

    Current one is C:\Program Files (x86)\Java\jdk1.8.0_102

    32 bit version..

Page 5 of 12 FirstFirst ... 3 4 5 6 7 ... LastLast

Similar Threads

  1. Build Error: Found 2 versions of google-play-services.jar
    By Power2r in forum Android Export Module 2.5
    Replies: 3
    Last Post: 15th February 2016, 07:15 PM
  2. Google Play Game Objects error message
    By Marcone in forum Extension Development
    Replies: 0
    Last Post: 11th January 2016, 03:11 PM
  3. ANR error at Google Play
    By Alejandro in forum Android Export Module 2.5
    Replies: 5
    Last Post: 13th January 2015, 08:52 PM
  4. [solved]Build Error "Unable to resolve project target 'android-18'"
    By Jonas in forum Android Export Module 2.5
    Replies: 0
    Last Post: 30th November 2014, 11:32 PM
  5. Error message on Google Play
    By Keli in forum Android Export Module 2.5
    Replies: 1
    Last Post: 20th November 2014, 07:55 PM

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •